CURAENGINE(1)

NAME
CuraEngine - slicing engine for Cura

DESCRIPTION
The CuraEngine is a C++ console application for 3D printing GCode generation. It has been made as a better and faster alternative to the old Skeinforge engine.

This is just a console application for GCode generation. For a full graphical application look at https://github.com/Ultimaker/Cura which is the graphical frontend for CuraEngine.

The CuraEngine can be used separately or in other applications. Feel free to add it to your application. But please take note of the License.

USAGE
CuraEngine help

    Show this help message

CuraEngine connect <host>[:<port>] [-j <settings.def.json>]

--connect <host>[:<port>]

    Connect to <host> via a command socket, instead of passing information via the command line

-j<settings.def.json>

    Load settings.json file to register all settings and their defaults

-v

    Increase the verbose level (show log messages).

CuraEngine slice [-v] [-p] [-j <settings.json>] [-s <settingkey>=<value>] [-g] [-e<extruder_nr>] [-o <output.gcode>] [-l <model.stl>] [--next]

-v

    Increase the verbose level (show log messages).

-p

    Log progress information.

-j

    Load settings.def.json file to register all settings and their defaults.

-s <setting>=<value>

    Set a setting to a value for the last supplied object, extruder train, or general settings.

-l <model_file>

    Load an STL model.

-g

    Switch setting focus to the current mesh group only. Used for one-at-a-time printing.

-e<extruder_nr>

    Switch setting focus to the extruder train with the given number.

--next

    Generate gcode for the previously supplied mesh group and append that to the gcode of further models for one-at-a-time printing.

-o <output_file>

    Specify a file to which to write the generated gcode.

The settings are appended to the last supplied object: CuraEngine slice [general settings]

-g [current group settings]

-e0 [extruder train 0 settings]

-l obj_inheriting_from_last_extruder_train.stl [object settings]

--next [next group settings]

    ... etc.

In order to load machine definitions from custom locations, you need to create the environment variable CURA_ENGINE_SEARCH_PATH, which should contain all search paths delimited by a (semi-)colon.

COPYRIGHT
Cura_SteamEngine Copyright © 2017 Ultimaker

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

AUTHORS
This manpage was autogenerated from CuraEngine with the help of help2man.

The opening and closing sections were edited by Gregor Riepl <onitake@gmail.com>.